Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 228641

Summary: A slow mirror grinds install to a halt
Product: [Fedora] Fedora Reporter: Greg Martyn <greg.martyn>
Component: anacondaAssignee: Jeremy Katz <katzj>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8CC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: fedora9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-13 17:25:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 150225    

Description Greg Martyn 2007-02-14 05:03:10 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Unsure -- one attempt was enough for me

Steps to Reproduce:
1. Add the Fedora extras repo as a source
2. Get really slow download speeds (5k/s, when I normally get 1,300k/s here at
school)
3. Wait. And wait. Unable to cancel. When switching from vt2 back to X11, the
installer doesn't even repaint until the package finishes downloading.
  
Actual results:
Excruciatingly long install

Expected results:
Better automatic selection of mirrors -- my connection is MUCH faster than the
speeds I was getting
Or an Extras DVD
Or just the ability to cancel the download and restart the package selection
process without the remote repository.

Additional info:

Comment 1 Chris Lumens 2007-02-22 17:20:07 UTC
Jeremy - Can we make use of the fastest-mirror plugin here?

Comment 2 Jeremy Katz 2007-02-22 17:29:46 UTC
Not really; but we probably should point at the mirrorlist url instead of just
download.fedora

Comment 3 Bug Zapper 2008-04-04 06:13:44 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 4 Jeremy Katz 2008-06-13 17:25:14 UTC
In Fedora 9, we use the mirrorlists by default which, coupled with
MirrorManager, should help make things reasonable